### Function

# Gimp param_spec_file_set_action

since: 3.0

#### Declaration [src]

    void
    gimp_param_spec_file_set_action (
      GParamSpec* pspec,
      GimpFileChooserAction action
    )

#### Description [src]

Change the file action tied to `pspec`.

Available since: 3.0

#### Parameters

`pspec`

  Type: `GParamSpec`

  A `GParamSpec` to hold a `GFile` value.

  The data is owned by the caller of the function.

`action`

  Type: `GimpFileChooserAction`

  New action for `pspec`.